<?php
 ini_set("track_errors", "1");
 define_syslog_variables();

 $sleep_microsec = 100000;
 $retry = 200;
 do {
   @$con = pg_connect("dbname= test user=nobody");
   if ($con !== FALSE) {
     break;
   }
   usleep($sleep_microsec);
   $sleep_microsec *= 2;
   $retry--;
 } while ($retry > 0);
 if ($con === FALSE) {
   syslog(LOG_ERR, "could not connect $php_errormsg");
   trigger_error("Could not connect to DB", E_USER_ERROR);
   exit;
 }

 $aid = rand(1,10000);
 pg_query($con, "SELECT * FROM accounts WHERE aid = $aid");
 pg_close($con);
?>
